# Class XmrDestination

#### Hierarchy

- unknown
  - XmrDestination

- Defined in src/protobuf/grpc_pb.d.ts:3182
- Defined in src/protobuf/grpc_pb.d.ts:3197

#####
Index

### Constructors

constructor

### Methods

getAddress
getAmount
serializeBinary
setAddress
setAmount
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new XmrDestination(): XmrDestination

- #### Returns XmrDestination

  Inherited from jspb.Message.constructor

## Methods

### getAddress

- getAddress(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:3183

### getAmount

- getAmount(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:3186

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:3189

### setAddress

- setAddress(value: string): XmrDestination

- #### Parameters

  - ##### value: string

  #### Returns XmrDestination

  - Defined in src/protobuf/grpc_pb.d.ts:3184

### setAmount

- setAmount(value: string): XmrDestination

- #### Parameters

  - ##### value: string

  #### Returns XmrDestination

  - Defined in src/protobuf/grpc_pb.d.ts:3187

### toObject

- toObject(includeInstance?: boolean): XmrDestination.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns XmrDestination.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:3190

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): XmrDestination

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns XmrDestination

  - Defined in src/protobuf/grpc_pb.d.ts:3193

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: XmrDestination, reader: BinaryReader): XmrDestination

- #### Parameters

  - ##### message: XmrDestination

  - ##### reader: BinaryReader

  #### Returns XmrDestination

  - Defined in src/protobuf/grpc_pb.d.ts:3194

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: XmrDestination, writer: BinaryWriter): void

- #### Parameters

  - ##### message: XmrDestination

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:3192

### `Static` toObject

- toObject(includeInstance: boolean, msg: XmrDestination): XmrDestination.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: XmrDestination

  #### Returns XmrDestination.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:3191

Generated using TypeDoc